//THIS FILE IS AUTOGENERATED
//DO NOT MODIFY
import { Schema } from 'mongoose';
import { BaseDocument } from '@core/api/BaseDocument';
import { ModelSchema } from '@core/orm/schema/ModelSchema';

export interface TaskBaseDocument extends BaseDocument {
    name: string;
    aufgaben?: string[];
}

export const TaskBaseSchema: ModelSchema = new ModelSchema({
    name: {
        type: String,
        required: true,
        immutable: false,
        unique: false,
        select: true,
        array: false,
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
    },
    aufgaben: {
        type: [String],
        required: false,
        immutable: false,
        unique: false,
        select: true,
        array: true,
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
        minItems: 3,
        maxItems: 10,
        uniqueItems: true,
    },
});

TaskBaseSchema.methods.getDisplayName = function () {
    return this._id;
};

TaskBaseSchema.statics.conditions = {
    required: {},
    disabled: {},
    validate: {},
};
